[Overview][Types][Classes][Index] | Reference for unit 'ascii85' (#fcl)

# TASCII85DecoderStream.Seek

Set stream position

## Declaration

Source position: line 0

`public function TASCII85DecoderStream.Seek(`
`aOffset: LongInt;`
`aOrigin: Word`
`):LongInt; override; function TASCII85DecoderStream.Seek(`
`const aOffset: Int64;`
`aOrigin: TSeekOrigin`
`):Int64; override; overload;`

## Arguments

`aOffset` |  | Offset from current position (should be zero).
`aOrigin` |  | Origin for seek operation (should be soCurrent).

## Function result

new position in stream.

## Arguments

`aOffset` |  | Offset from current position (should be zero).
`aOrigin` |  | Origin for seek operation (should be soCurrent).

## Description

Seek sets the stream position. It only allows to set the position to the current position of this file, and returns then the current position. All other arguments will result in an EReadError exception.

## Errors

In case the arguments are different from soCurrent and 0, an EReadError exception will be raised.

## See also

TASCII85DecoderStream.Read |  | Read data from stream

Documentation generated on: Feb 26 2014